'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelPluginMacros = require('babel-plugin-macros');

var _handleGlamorousReferences = require('./handle-glamorous-references');

var _handleGlamorousReferences2 = _interopRequireDefault(_handleGlamorousReferences);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import printAST from 'ast-pretty-print'
exports.default = (0, _babelPluginMacros.createMacro)(glamorousMacro);


function glamorousMacro(_ref) {
  var references = _ref.references,
      state = _ref.state,
      babel = _ref.babel;
  var t = babel.types;

  (0, _handleGlamorousReferences2.default)(references.default, state.file, babel);

  // add a glamorous import to the file
  references.default.map(function (ref) {
    return ref.node.name;
  })
  // honestly I don't think it could ever possibly have more than one here
  // but we'll do this just to be safe ¯\_(ツ)_/¯
  .filter(function (n, i, a) {
    return a.indexOf(n) === i;
  }).map(function (name) {
    return t.importDeclaration([t.importDefaultSpecifier(t.identifier(name))], t.stringLiteral('glamorous'));
  }).forEach(function (glamorousImport) {
    state.file.path.node.body.unshift(glamorousImport);
  });
}